module DTK::CrdParser
  class ComponentDef 
    class AttributeTypeInfo < BaseClass

      attr_reader :name, :type, :required, :dynamic, :encrypted

      def initialize(params)
        @name      = params[:name]
        @type      = params[:type]
        @required  = params[:required]  || false
        @dynamic   = params[:dynamic]   || false
        @encrypted = params[:encrypted] || false
      end

      def self.resolveAttr(attribute)
        AttributeTypeInfo.new(attribute)
      end

    end
  end
end
