module DTK::CrdParser
  class Component 
    class Attribute < BaseClass

      attr_reader :name, :value

      def initialize(name, value, params = {})
        @name      = fail_if_nil(name, 'Attribute.name')
        @value     = decrypt_if_encrypted(value, params[:encrypted])
      end

      def self.create_from_kube(attribute_name, attribute_value, params)
        Attribute.new(attribute_name, attribute_value, params)
      end

    end
  end
end
